## org.apache.poi.ss.formula.functions
Class CalendarFieldFunction

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed1ArgFunction
          org.apache.poi.ss.formula.functions.CalendarFieldFunction

All Implemented Interfaces:
  Function, Function1Arg

    public final class CalendarFieldFunction

extends Fixed1ArgFunction

Implementation of Excel functions Date parsing functions: Date - DAY, MONTH and YEAR Time - HOUR, MINUTE and SECOND

Field Summary
`static Function` `DAY`
`static Function` `HOUR`
`static Function` `MINUTE`
`static Function` `MONTH`
`static Function` `SECOND`
`static Function` `YEAR`

Method Summary
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed1ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YEAR

    public static final Function YEAR

### MONTH

    public static final Function MONTH

### DAY

    public static final Function DAY

### HOUR

    public static final Function HOUR

### MINUTE

    public static final Function MINUTE

### SECOND

    public static final Function SECOND

Method Detail

### evaluate

    public final ValueEval evaluate(int srcRowIndex,
                                    int srcColumnIndex,
                                    ValueEval arg0)

  Description copied from interface: `Function1Arg`
  see `Function.evaluate(ValueEval[], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.